## ThunarPropertiesDialog ThunarPropertiesDialog |

## Functions

GtkWidget * | thunar_properties_dialog_new ()
void | thunar_properties_dialog_set_files ()
void | thunar_properties_dialog_set_file ()

## Properties

gboolean | file-size-binary | Read / Write
ThunarxFileInfoList * | files | Read / Write
gboolean | show-file-hightlight-tab | Read / Write / Construct

## Signals

gboolean | reload | Action

## Types and Values

enum | ThunarPropertiesDialogFlags

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── GtkDialog
                                ╰── ThunarAbstractDialog
                                    ╰── ThunarPropertiesDialog

## Description

## Functions

### thunar_properties_dialog_new ()

    GtkWidget *
    thunar_properties_dialog_new (GtkWindow *parent,
                                  ThunarPropertiesDialogFlags flags);

Allocates a new ThunarPropertiesDialog instance, that is not associated with any ThunarFile.

#### Parameters

parent | transient window or NULL; |
flags | flags to consider |

#### Returns

the newly allocated ThunarPropertiesDialog instance.

### thunar_properties_dialog_set_files ()

    void
    thunar_properties_dialog_set_files (ThunarPropertiesDialog *dialog,
                                        GList *files);

Sets the ThunarFile that is displayed by `dialog` to `files` .

#### Parameters

dialog | a ThunarPropertiesDialog. |
files | a GList of ThunarFile's or `NULL`. |

### thunar_properties_dialog_set_file ()

    void
    thunar_properties_dialog_set_file (ThunarPropertiesDialog *dialog,
                                       ThunarFile *file);

Sets the ThunarFile that is displayed by `dialog` to `file` .

#### Parameters

dialog | a ThunarPropertiesDialog. |
file | a ThunarFile or `NULL`. |

## Types and Values

### enum ThunarPropertiesDialogFlags

Flags used when creating a ThunarPropertiesDialog

#### Members

THUNAR_PROPERTIES_DIALOG_NONE | No flags set. |
THUNAR_PROPERTIES_DIALOG_SHOW_HIGHLIGHT | SHow the file highlight tab |

## Property Details

### The `“file-size-binary”` property

      “file-size-binary”         gboolean

Owner: ThunarPropertiesDialog

Flags: Read / Write

Default value: TRUE

### The `“files”` property

      “files”                    ThunarxFileInfoList *

The list of currently selected files whose properties are displayed by this ThunarPropertiesDialog. This property may also be `NULL` in which case nothing is displayed.

Owner: ThunarPropertiesDialog

Flags: Read / Write

### The `“show-file-hightlight-tab”` property

      “show-file-hightlight-tab” gboolean

Owner: ThunarPropertiesDialog

Flags: Read / Write / Construct

Default value: TRUE

## Signal Details

### The `“reload”` signal

    gboolean
    user_function (ThunarPropertiesDialog *dialog,
                   gpointer                user_data)

Emitted whenever the user requests reset the reload the file properties. This is an internal signal used to bind the action to keys.

#### Parameters

dialog | a ThunarPropertiesDialog. |
user_data | user data set when the signal handler was connected. |

Flags: Action